Bug 473693 - add more download status info to preupgrade GUI
add more download status info to preupgrade GUI
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 20:30 EST by Russell Miller
Modified: 2014-01-21 18:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Miller 2008-11-29 20:30:34 EST
Description of problem:

Not sure if this is where it belongs, if not, please move to the correct package.

This is not, per se, a bug, as everything appears to have worked as designed.  The design, however, IMO, is a little deficient.  This regards the process of upgrading.

1)  The progress bar shows (xxx of xxx) packages, however, the bar itself appears to be based on size.  I suggest (xxx of xxx packages, xx% done) at the very least.  I'd also like to see size stats too if at all possible (xxx of xxx packages, xx% done, xxxx MB left) or some such.  I realize that we want this simple for the n00bs, however, there's a such thing as *too* simple.  At least give me the option to see progress information if I want it (a more info button with some detailed info would be very welcome!)

2)  The preparing and cleanup stages have no info on them, just a progress bar in one case and not even that in another.  Please give us a progress bar, or even better, integrate it with the main window.  "This could take a little while..." was, in my case, over a half hour.

3)  I'd like the ability to see what it's doing.  Any chance of a small terminal window, about three or four lines high, where I can see what yum is doing?  I don't mind waiting, but I really, really like to know what I'm waiting on.

4)  Why have the next and cancel buttons greyed out if they'll never get used?  Just remove them entirely.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Will Woods 2008-12-05 13:48:28 EST
The preupgrade download progress bar *used* to be based on package count instead of size, but I got a bunch of bug reports about *that*, so I changed it.

I'm not a huge fan of infoporn so I'm not interested in having detailed stats on file downloads. But I will probably add a couple of things - at the very least, an Estimated Time Remaining.

Once you reboot, you're out of preupgrade's hands and into anaconda. But I'll save you the trouble of filing another bug and explain what's going on there:

The "preparing" stage all happens inside of RPM - current RPM doesn't give us any status information about what it's doing, so we can't provide any better info than that.

Similarly the "cleanup" stage involves removing unknown numbers of files and running scripts of unknown duration. Again, this happens almost entirely inside the RPM libraries and we have no way of predicting exactly how much work needs to be done or long it will take - the best we can do is show you that *something* is still happening.

As for text progress/terminal windows, you can switch to VT3 to see anaconda's log, VT4 for system log, and VT5 for command output. VT6 will switch back to the GUI, and there's a shell on VT2. 

The 'Next' and 'Cancel' buttons normally *are* used, but preupgrade sets up anaconda to skip all the button-mashing for you and just run the upgrade automatically. So they *do* get used - it's just that preupgrade automatically hits them for you. 

Better status callbacks should happen in future versions of RPM, so someday we might be able to give better feedback there. 

In short: I'll add some download status info to preupgrade - at least an ETR field. As for the rest of the upgrade, we're already telling you everything we know about what's going on. But hopefully we'll get more info out of RPM someday soon.
Comment 2 Bug Zapper 2009-06-09 23:22:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:19:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.